## org.w3c.jigedit.filters
Class PutListFrame

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ProtocolFrame
                                    |
                                    +--org.w3c.jigsaw.frames.HTTPFrame
                                          |
                                          +--org.w3c.jigsaw.frames.PostableFrame
                                                |
                                                +--org.w3c.jigedit.filters.PutListFrame

public class PutListFrame
extends PostableFrame

Fields inherited from class org.w3c.jigsaw.frames.PostableFrame
`ATTR_CONVERT_GET, ATTR_OVERIDE`

Fields inherited from class org.w3c.jigsaw.frames.HTTPFrame
`_allowed, acceptRanges, allowed, ATTR_ALLOW_DEL, ATTR_BROWSABLE, ATTR_CONTENT_ENCODING, ATTR_CONTENT_LANGUAGE, ATTR_CONTENT_LENGTH, ATTR_CONTENT_TYPE, ATTR_ICON, ATTR_ICONDIR, ATTR_INDEX, ATTR_MAXAGE, ATTR_MD5, ATTR_PUTABLE, ATTR_QUALITY, ATTR_RELOCATE, ATTR_STYLE_LINK, ATTR_TITLE, browsetype, COND_FAILED, COND_OK, dresource, fresource, listing, listing_stamp, STATE_CONTENT_LOCATION`

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`PutListFrame()`

Method Summary
`org.w3c.jigsaw.http.Reply` | `get(org.w3c.jigsaw.http.Request request)` Dump the list of modified files.
`protected HtmlGenerator` | `getHtmlGenerator(java.lang.String title)`
`org.w3c.jigsaw.http.Reply` | `handle(org.w3c.jigsaw.http.Request request, URLDecoder data)` handle the request.
`org.w3c.tools.resources.ReplyInterface` | `perform(org.w3c.tools.resources.RequestInterface req)` perform the request.
`protected void` | `performAction(org.w3c.jigsaw.http.Request request, java.lang.String action, java.lang.String key)`
`void` | `registerResource(org.w3c.tools.resources.FramedResource resource)`

Methods inherited from class org.w3c.jigsaw.frames.PostableFrame
`getConvertGetFlag, getOverrideFlag, post, setValue`

Methods inherited from class org.w3c.jigsaw.frames.HTTPFrame

`addStyleSheet, attributeChanged, browse, checkIfMatch, checkIfModifiedSince, checkIfNoneMatch, checkIfUnmodifiedSince, checkRequest, computeTrashDir, computeTrashFile, createDefaultReply, createFileReply, delete, deleteDirectoryResource, deleteFileResource, deleteOtherResource, extended, getAllowDeleteFlag, getBrowsableFlag, getBrowseType, getContentEncoding, getContentLanguage, getContentLength, getContentType, getDirectoryListing, getDirectoryResource, getDirectoryResource, getETag, getFileResource, getFileResource, getHelpURL, getHelpURL, getIcon, getIconDirectory, getIndex, getMaxAge, getMD5Flag, getOtherResource, getPutableFlag, getQuality, getRelocateFlag, getStyleSheetURL, getTitle, getURL, handleRangeRequest, head, headDirectoryResource, headFileResource, headOtherResource, link, lookup, lookupDirectory, lookupFile, lookupOther, lookupResource, options, performFrames, put, putFileResource, putOtherResource, registerOtherResource, trace, unlink, updateCachedHeaders`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, postFrameEvent, processEvent, removeFrameEventListener, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource

`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, initialize, markModified, notifyUnload, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, setContext, setContext, setValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PutListFrame

    public PutListFrame()

Method Detail

### registerResource

    public void registerResource(org.w3c.tools.resources.FramedResource resource)

  Overrides:
    registerResource in class HTTPFrame

### perform

    public org.w3c.tools.resources.ReplyInterface perform(org.w3c.tools.resources.RequestInterface req)
                                                   throws org.w3c.tools.resources.ProtocolException,
                                                          org.w3c.tools.resources.ResourceException

  perform the request.
  Parameters:
    `req` - the incomming request.
  Throws:
    org.w3c.tools.resources.ProtocolException - if a protocol error occurs
    org.w3c.tools.resources.ResourceException - if a server error occurs
  Overrides:
    perform in class HTTPFrame

### getHtmlGenerator

    protected HtmlGenerator getHtmlGenerator(java.lang.String title)

### get

    public org.w3c.jigsaw.http.Reply get(org.w3c.jigsaw.http.Request request)
                                  throws org.w3c.tools.resources.ProtocolException,
                                         org.w3c.tools.resources.ResourceException

  Dump the list of modified files.
  Parameters:
    `request` - The request to handle.
  Returns:
    A Reply instance.
  Throws:
    org.w3c.tools.resources.ProtocolException - if a protocol error occurs
    org.w3c.tools.resources.ResourceException - if a server error occurs
  Overrides:
    get in class PostableFrame

### performAction

    protected void performAction(org.w3c.jigsaw.http.Request request,
                                 java.lang.String action,
                                 java.lang.String key)
                          throws org.w3c.jigsaw.http.HTTPException

### handle

    public org.w3c.jigsaw.http.Reply handle(org.w3c.jigsaw.http.Request request,
                                            URLDecoder data)
                                     throws org.w3c.tools.resources.ProtocolException

  handle the request.
  Parameters:
    `request` - the incomming request.
    `data` - the URLDecoder.
  Throws:
    org.w3c.tools.resources.ProtocolException - if a protocol error occurs
  Overrides:
    handle in class PostableFrame